Skip to content
GET /automation/{id}/run/{runId}/step

Path Parameters

idstring
required·

Resource id

runIdstring
required·

Resource id

Query Parameters

keystring

Only this step’s own executions (for example one loop step’s per-item list). 400 when it is not a valid step key.

Response Body

next_cursorstring,null
prev_cursorstring,null
resultobject[]
attemptinteger
duration_msinteger
error
finished_atstring
has_outputboolean
iteration
keystring
labelstring
output_previewstring,null
output_truncatedboolean
pathstring
seqinteger
started_atstring
statusstring
targetstring,null
tierstring,null
typestring
curl -X GET 'https://api.elaichi.ai/automation/<id>/run/<runId>/step' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.elaichi.ai/automation/<id>/run/<runId>/step', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/automation/<id>/run/<runId>/step"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())